> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Apply bills archive

POST https://www.okx.com/api/v5/account/bills-history-archive
Content-Type: application/json

Apply for an asynchronous archive of the account bill history for a specific year and quarter. The generated file can later be downloaded via a GET request.

Reference: https://okx-demo.ferndocs.com/api/api-reference/account/apply-bills-history-archive

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `year` (string, required) — Year of the bill history, e.g. 2023.
- `quarter` (enum, required) — Quarter of the year.
  - Allowed values: `Q1`, `Q2`, `Q3`, `Q4`
- `type` (string, optional) — Comma-separated bill type ids, e.g. 1,2,3. If omitted, all types are archived.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AccountBillsHistoryArchivePostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AccountBillsHistoryArchivePostResponsesContentApplicationJsonSchemaDataItems

- `result` (string, optional) — Application result of the archive request.
- `ts` (string, optional) — Application time, Unix timestamp in milliseconds.

## Examples

**Request**

```json
{
  "year": "2023",
  "quarter": "Q1"
}
```

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "result": "true",
      "ts": "1646892328000"
    }
  ]
}
```

**SDK Code**

```python account_applyBillsHistoryArchive_example
import requests

url = "https://www.okx.com/api/v5/account/bills-history-archive"

payload = {
    "year": "2023",
    "quarter": "Q1"
}
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript account_applyBillsHistoryArchive_example
const url = 'https://www.okx.com/api/v5/account/bills-history-archive';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"year":"2023","quarter":"Q1"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go account_applyBillsHistoryArchive_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/bills-history-archive"

	payload := strings.NewReader("{\n  \"year\": \"2023\",\n  \"quarter\": \"Q1\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby account_applyBillsHistoryArchive_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/bills-history-archive")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"year\": \"2023\",\n  \"quarter\": \"Q1\"\n}"

response = http.request(request)
puts response.read_body
```

```java account_applyBillsHistoryArchive_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/account/bills-history-archive")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"year\": \"2023\",\n  \"quarter\": \"Q1\"\n}")
  .asString();
```

```php account_applyBillsHistoryArchive_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/account/bills-history-archive', [
  'body' => '{
  "year": "2023",
  "quarter": "Q1"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp account_applyBillsHistoryArchive_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/bills-history-archive");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"year\": \"2023\",\n  \"quarter\": \"Q1\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift account_applyBillsHistoryArchive_example
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "year": "2023",
  "quarter": "Q1"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/bills-history-archive")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```